<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Start extends CI_Controller {

	function __construct()
    {
		parent::__construct();
		
		$this->load->library('table');
		$this->load->library('session');
		$this->load->model('product_db');
		$this->load->model('category_db');
		$this->load->model('barcode_model');
    }

	public function index()
	{
		$data = array(
			'title' => "Pantry-Tool",
			//Removed in Version 0.2 'jumbotronTitle' => "Vorräte verwalten",
			//Removed in Version 0.2 'jumbotronSub' => "Verwende diese App um die Esswaren zu verwalten!",
			'newProductButton' => "Neues Produkt",
			//Removed in Version 0.2 'jumbotronButton2' => "Produkt bearbeiten",
			'modalHeader' => "Produkt erfassen",
			'modalHeaderBarcode' => "Produkt mit Barcode erfassen",
			'unit_data' => $this->category_db->selectAllUnits(),
			'category_data' => $this->category_db->selectAllCategories(),
			'products_all' => $this->product_db->getAllProducts()
		);

		// Views laden
		$this->load->view('templates/header', $data);
        //Removed in Version 0.2 $this->load->view('templates/jumbotron');
		$this->load->view('body');
		$this->load->view('templates/footer');
		$this->load->view('modals/new_product_modal');
		$this->load->view('modals/edit_product_modal');
		$this->load->view('modals/barcode_modal');		
	}

	public function barcodeRequest(){
		$result = $this->barcode_model->getProductDataByCode($this->input->post("ean13", TRUE));
		echo json_encode($result);
	}
}
