<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Uebersicht extends CI_Controller {

	function __construct()
    {
		parent::__construct();
        $this->load->model('product_db');
        $this->load->model('category_db');
        $this->load->model('user_db');
        $this->load->library('session');
    }

    public function index()
    {
        $data = Array(
            'countCategoryProducts' => $this->countProductsPerCategory(),
            'willExpireProducts' => $this->expireNextDays(),
            'createdBy'=> $this->createdBy(),
            'allProductsCount' => count($this->product_db->getAllProducts())
        );
        // Views laden
        $this->load->view('templates/header', $data);
        $this->load->view('uebersicht');
		$this->load->view('templates/footer');
    }

    /**
     * 
     */
    private function countProductsPerCategory(){
        // Get all products from database
        $var = $this->product_db->getAllProducts();
        //create count array
        $count = array();
        //interrate products
        foreach ($var as $key => $value) {
            //if products exists in $count array, set +1
            if (array_key_exists($value->categoryname, $count)) {
                $count[$value->categoryname] += 1;
            } else {
                // if category doesnt exists in $count array, create it with count 1
                $count[$value->categoryname] = 1;
            }
        }
        arsort($count);
        return $count;
    }

    private function expireNextDays(){
        $var = $this->product_db->getAllProducts();
        $today = new DateTime();
        $products = array();
        foreach ($var as $key => $value) {
            //echo $today->diff(new DateTime($value->expiredate))->format("%Y / ");
            //echo $value->expiredate . " 00:00:00";
            $diff = date_diff($today, date_create($value->expiredate));
            if ($diff->days < 30 && $diff->format('%r%d') > 0) {
                //echo $diff->days . " / ";
                $temp = array();
                //array_push($temp, $diff->days);
                array_push($temp, $diff->format('%r%d'));
                array_push($temp, $value->productname);
                array_push($temp, date('d.m.Y', strtotime($value->expiredate)));
                array_push($products, $temp);
                $temp = null;
            }
        }
        //arsort($products, );
        //print_r($var);
        sort($products);
        return $products;
    }

    private function createdBy(){
        $var = $this->product_db->getAllProducts();
        $usersInputs = array();
        foreach ($var as $key => $value) {
            if (array_key_exists($value->createdby, $usersInputs)) {
                $usersInputs[$value->createdby] += 1;
            } else {
                $usersInputs[$value->createdby] = 1;
            }
        }
        $userInputCounts = array();
        foreach ($usersInputs as $key => $value) {
            $var = $this->user_db->getUserById($key);
            $temp = array();
            //echo $var[0]->username;
            array_push($temp, $var[0]->username);
            array_push($temp, $value);
            array_push($userInputCounts, $temp);
        }
        //print_r($huch);
        return $userInputCounts;
    }

}