<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Barcode_model extends CI_Model {

	function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

    /**
     * Diese Funktion gibt die Produktdaten anhand der EAN13 Nummer zurück
     * 
     * @author Simon
     * @since 0.8.0
     * @param string barcode as ean13 number
     * @return array product data
     */
    function getProductDataByCode($barcode){
        $this->db->select();
        $this->db->from('products_barcode_root');
        $this->db->where('ean_13', $barcode);
        $results = $this->db->get();
        return $results->result();
    }

    /**
     * Entfehrnt ein barcode Produkt aus der Datenbank
     * 
     * @since 0.8.0
     * @author Simon<>
     * @param int product id
     * @return bool
     */
    function removeProductById($product_id){
        return $this->db->delete('products_barcode_root', array("id_products_barcode_root" => $product_id));
    }

    /**
     * Diese Funktion fügt ein neues Produkt mit einem Barcode in die Datenbank ein
     * 
     * @author Simon<>
     * @since 0.8.0
     * @param array product array
     * @return bool 
     */
    function createProduct($product_array){
        return $this->db->insert('products_barcode_root', $product_array);
    }

    function editProductById($product_id, $product_array){
        return true;
    }

    /**
     * Die Funktion gibt alle Produkte in der Tabelle zurück
     * 
     * @author Simon
     * @since 0.8.0
     * @return array all products from the table
     */
    function getAllProducts(){
        $this->db->from('products_barcode_root');
        $this->db->select();
        $this->db->join('categorytable', "categorytable.categoryid = products_barcode_root.category");
        $results = $this->db->get();
        return $results->result();
    }
}