<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<!-- Modal -->
<div id="add_product_modal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-lg">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title"><?php echo $modalHeader; ?></h4>
      </div>
      <div class="modal-body">
      <p>
      Produkt mit den nötigen Parameter erfassen und in der Datenbank speichern. Alternativ kann das Produkt auch mit dem <span class="glyphicon glyphicon-barcode"></span><a href="#" data-toggle="modal" data-target="#new_product_barcode_modal" data-dismiss="modal"> Barcode Reader</a> eingelesen werden. 
      Das Produkt muss aber in der Datenbank vorhanden sein. <a href="#" data-toggle="tooltip" data-placement="right" title="Fügen Sie das Produkt unter Einstellungen -> Barcode Einstellungen hinzu."><span class="glyphicon glyphicon-info-sign"></span></a></p>
      <?php echo form_open_multipart('product/addproduct');?>
        <form action="<?php echo base_url('index.php/product/addproduct'); ?>" method="post">
            <input type="hidden" name="userid" value="<?php echo $this->session->userdata('userid'); ?>">
            <!-- NEW SINCE 0.8.0 -->
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Nach Barcode suchen" name="ean13barcode" id="ean13barcode">
                <div class="input-group-btn">
                    <button type="button" name="ean13search" id="ean13search" class="btn btn-secondary"><i class="fas fa-search"></i></button>
                </div>
            </div>
            <br>
            <!-- NEW SINCE 0.8.0 END -->
            <div class="form-group">
                <label for="productnamenew">Produktname: *</label>
                <input type="text" class="form-control" name="productnamenew" id="productnamenew" required>
            </div>
            <div class="form-group">
                <label for="categorynew">Kategorie: *</label>
                <select class="form-control" name="categorynew" id="categorynew" >
                    <?php foreach ($category_data as $row) {
                        echo "<option value='$row->categoryid'>$row->categoryname</option>'";
                    }
                    ?>
                </select>
            </div>
            <div class="form-group">
                <label for="expiredatenew">Ablaufdatum: *</label>
                <input type="date" class="form-control" name="expiredatenew" id="expiredatenew" required>
            </div>
            <div class="form-group">
                <label for="numberofproduct">Anzahl: *</label>
                <input type="number" class="form-control" name="numberofproduct" required>
            </div>
            <div class="form-group">
                <label for="unit">Einheit: *</label>
                <select class="form-control" name="unit">
                    <?php foreach ($unit_data as $row) {
                            echo "<option value='$row->unitid'>$row->unit</option>'";
                        }
                    ?>
                </select>
            </div>
            
            <button type="submit" class="btn btn-success" value="upload">Speichern</button>
            <button type="reset" class="btn btn-secondary">Löschen</button>
        </form>
    </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Schliessen</button>
      </div>
    </div>
  </div>
</div>

<script>
$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();   
});

$('#add_product_modal').on('show.bs.modal', function(){
    $.ajax({
        type: "POST",
        url: '<?php echo base_url("index.php/start/barcoderequest");?>',
        data: {ean13: document.getElementById("ean13barcode").value},
        dataType: "json",
        cache: false,
        success:
            function(data){
                console.log(data);
                if(!jQuery.isEmptyObject(data)){
                document.getElementById("productnamenew").value = data[0].productname;
                document.getElementById("expiredatenew").value = addDays(data[0].shelfLifeInDays).toISOString().substring(0, 10);
                document.getElementById("categorynew").value = data[0].category;
                }
            }
    });
});

$('#ean13search').on('click', function(event){
    $.ajax({
        type: "POST",
        url: '<?php echo base_url("index.php/start/barcoderequest");?>',
        data: {ean13: document.getElementById("ean13barcode").value},
        dataType: "json",
        cache: false,
        success:
            function(data){
                console.log(data);
                document.getElementById("productnamenew").value = data[0].productname;
                document.getElementById("expiredatenew").value = addDays(data[0].shelfLifeInDays).toISOString().substring(0, 10);
                document.getElementById("categorynew").value = data[0].category;
            }
    });
});

function addDays(days) {
  var date = new Date();
  date.setDate(date.getDate() + parseInt(days));
  return date;
}
</script>